Subject: [Technical Errata Reported] RFC5952 (4985)

From: RFC Errata System <[email-masked]>
Date: Fri, 31 Mar 2017 08:20:51 -0700 (PDT)

The following errata report has been submitted for RFC5952,
"A Recommendation for IPv6 Address Text Representation".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=5952&eid=4985

--------------------------------------
Type: Technical
Reported by: Julian de Prado <[email-masked]>

Section: 2.2

Original Text
-------------
In cases where there is more than one field of only zeros, there is a
choice of how many fields can be shortened.

2001:db8:0:0:0::1
2001:db8:0:0::1
2001:db8:0::1
2001:db8::1

Corrected Text
--------------
In cases where there is more than one field of only zeros,there is a
choice of how many fields can be shortened, but must be shortened to 
its maximum capability.

2001:db8:0:0:0::1 is NOT acceptable
2001:db8:0:0::1 is NOT acceptable
2001:db8:0::1 is NOT acceptable
2001:db8::1 is CORRECT

Notes
-----
Applying section 4.2.1

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC5952 (draft-ietf-6man-text-addr-representation-07)
--------------------------------------
Title               : A Recommendation for IPv6 Address Text Representation
Publication Date    : August 2010
Author(s)           : S. Kawamura, M. Kawashima
Category            : PROPOSED STANDARD
Source              : IPv6 Maintenance
Area                : Internet
Stream              : IETF
Verifying Party     : IESG

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Fri, 31 Mar 2017 15:27:13 +0000

What does acceptable mean?

Certainly for user input all these forms MUST be acceptable? When output generated, the last form should be used.

But you could also argue that in some cases displaying a fixed number of colon fields is useful as it increases readability - for example, displaying /64s with the four first colon fields even if 0.

- Bernie (from iPhone)

> On Mar 31, 2017, at 10:21 AM, RFC Errata System <[email-masked]> wrote:
>